#!MC 1410
#       INSTRUCTIONS:
#                  1.   Load Surface Zones from CFD solution into Tecplot360 EX (the surface info should include CP and
#                       any other surface information desired)
#                  2.   Assign LABEL variable in this file as the "XXX" identifier of the dataset
#                  3.   Assign INFO variable with appropriate information for the particular case
#                  4.   Run macro.  It should create/extract 2 zones for each row of the main wing (one near the
#                       leading edge and one running behind that)
#                  5.   You can write out these zones to data files as appropriate, including any data desired
#
#                XXX:   Participant ID (To be assigned by HiLiftPW workshop committee)
#
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
$!VARSET |LABEL| = "R-018"
$!VARSET |INFO|  = "|PREFIX|"
$!VARSET |ZONE| = |NUMZONES|
# --- Row F.A ---
$!SliceAttributes 1  EdgeLayer{Show = Yes}
$!SliceAttributes 1  SliceSource = SurfaceZones
$!SliceLayers Show = Yes
$!SliceAttributes 1  SliceSurface = Arbitrary
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 100
  Z1 = 394.31696
  X2 = 0
  Y2 = 0
  Z2 = 221.15888
  X3 = 100
  Y3 = -50
  Z3 = 134.57985
$!ExtractSlices
  Group = 1
  TransientOperationMode = AllSolutionTimes
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row F.A fuselage |INFO|'
# --- Row F.B ---
$!SliceAttributes 1  EdgeLayer{Show = Yes}
$!SliceAttributes 1  SliceSource = SurfaceZones
$!SliceLayers Show = Yes
$!SliceAttributes 1  SliceSurface = ZPlanes
$!SliceAttributes 1  PrimaryPosition{Z = 211.141}
$!ExtractSlices
  Group = 1
  TransientOperationMode = AllSolutionTimes
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row F.B fuselage |INFO|'
